dCache Book
===========

## Table of contents

-   [Preface](preface.md)

-   [Chapter I. Getting Started](intro.md)

    -   [Introduction](intro.md)

    -   [Installing dCache](install.md)

    -   [Getting to know your dCache](intouch.md)

-   [Chapter II. Configuration of dCache](config.md)

    - Individual services

        - [admin service](config-admin.md)

        - [alarms service](config-alarms.md)

        - [billing service](config-billing.md)

        - [bulk service](config-bulk.md)

        - [cleaner service](config-cleaner.md)

        - dcap service

        - [frontend service](config-frontend.md)

        - [ftp service](config-ftp.md)

        - [history service](config-history.md)

        - httpd service

        - [info service](config-info-provider.md)

        - [missing-files service](config-missing-files.md)

        - [nfs service](config-nfs.md)

        - [pinmanager service](config-pinmanager.md)

        - pnfsmanager service

        - pool service

        - [poolmanager service](config-PoolManager.md)

        - [resilience service](config-resilience.md)

        - [qos service](config-qos-engine.md)

        - [spacemanager service](config-spacemanager.md)

        - [srm service](config-SRM.md)

        - [srmmanager service](config-srmmanager.md)

        - [statistics service](config-statistics.md)

        - [telemetry service](config-telemetry.md)

        - topo service

        - transfermanagers service

        - webdav service

        - [xroot service](config-xrootd.md)

    - Overarching concepts

        - [ACLs in dCache](config-acl.md)

        - [Chimera](config-chimera.md)

        - [Cell Message passing](config-message-passing.md)

        - [dCache Tertiary Storage System Interface](config-hsm.md)

        - [File Hopping](config-hopping.md)

        - [gPlazma: Authorization in dCache](config-gplazma.md)

        - [Kafka](kafkaproducer.md)

        - [User and Group Quota](quota.md)

        - [Stage Protection](config-stage-protection.md)

        - [Using Space Reservations without SRM](config-write-token.md)

        - [Storage Descriptor / SRR](srr.md)

        - [Zookeeper](config-zookeeper.md)

-   [Chapter III. Cookbook](cookbook.md)

    - [dCache Clients](cookbook-clients.md)

    - [Using dcap](cookbook-dCap.md)

    - [High Availability with Replicable Services](cookbook-ha-with-replicable-services.md)

    - [Migration of classic SE (nfs, disk) to dCache](cookbook-classic-se-to-dcache.md)

    - [Pool Operations](cookbook-pool.md)

    - [PostgreSQL and dCache](cookbook-postgres.md)

    - [Transport Security](cookbook-transport-security.md)

    - [Writing HSM Plugins](cookbook-writing-hsm-plugins.md)

    - [Advanced Tuning](cookbook-advanced.md)

    - [Complex Network Configuration](cookbook-net.md)
    
    - [Debugging](cookbook-debugging.md)

-   [Chapter IV. Reference](reference.md)

    - [dCache Clients](rf-clients.md)

    - [Common Cell Commands](rf-cc-common.md)

    - [dCache NFS Dot Commands](rf-dot-commands.md)

    - [PnfsManager Commands](rf-cc-pnfsm.md)

    - [Pool Commands](rf-cc-pool.md)

    - [PoolManager Commands](rf-cc-pm.md)

    - [dCache Default Port Values](rf-ports.md)

    - [Glossary](rf-glossary.md)
