
Part I. Getting started
========================


This part is intended for people who are new to dCache. It gives an introduction to dCache, including how to configure a simple setup, and details some simple and routine administrative operations.

## Table of Contents

1. [Introduction](intro.md)

    - [Cells and Domains](intro.md#cells-and-domains)
    - [Protocols Supported by dCache](intro.md#protocols-supported-by-dcache)

1. [Installing dCache](install.md)

    - [Installing a dCache instance](install.md#installing-a-dcache-instance)
    - [Prerequisites](install.md#prerequisites)
    - [Installation of the dCache Software](install.md#installation-of-the-dcache-software)
    - [Readying the PostgreSQL server for the use with dCache](install.md#readying-the-postgresql-server-for-the-use-with-dcache)
    - [Configuring Chimera](install.md#configuring-chimera)
    - [Configuring dCache](install.md#configuring-chimera)
    - [Installing dCache on several nodes](install.md#installing-dcache-on-several-nodes)
    - [Securing your dCache installation](install.md#securiting-your-dcache-installation)
    - [Upgrading a dCache Instance](install.md#upgrading-a-dcache-instance)

1. [Getting to know your dCache](intouch.md)

    - [Checking the Functionality](intouch.md#checking-the-functionality)
    - [dCache without mounted namespace](intouch.md#dcache-without-mounted-namespace)
    - [**WebDAV**](intouch.md#webdav)
    - [**dCap**](intouch.md#dcap)

1. [The Web Interface for Monitoring dCache](intouch.md#the-web-interface-for-monitoring-dcache)

1. [The Admin Interface](intouch.md#the-admin-interface)

    - [First steps](intouch.md#first-steps)
    - [Access with **ssh**](intouch.md#ssh2)
    - [How to use the Admin Interface](intouch.md#how-to-use-the-admin-interface)
    - [Create a new user](intouch.md#create-a-new-user)
    - [Use of the **ssh** Admin Interface by scripts](intouch.md#use-of-the-ssh-admin-interface-by-scripts)


1. [Authentication and Authorization in dCache](intouch.md#authentication-and-authorization-in-dcache)

1. [How to work with secured dCache](intouch.md#how-to-work-with-secured-dcache)

    - [**GSIdCap**](intouch.md#gsidcap)
    - [**SRM**](intouch.md#srm)
    - [**WebDAV** with certificates](intouch.md#webdav-with-certificates)

1. [Files](intouch.md#files)
