/*
 * dCache - http://www.dcache.org/
 *
 * Copyright (C) 2020 Deutsches Elektronen-Synchrotron
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.dcache.restful.events.spi;

import javax.servlet.http.HttpServletRequest;

/**
 * Optional, ancillary information supplied when a client is selecting events from an EventStream.
 * Unlike other (core) information, the information here is available but not all plugins will need
 * it.
 */
public interface SelectionContext {

    /**
     * The ID of the channel within which the selection is being made.
     */
    String channelId();

    /**
     * Provide the HttpServletRequest for the request within which this selection is being made.
     */
    HttpServletRequest httpServletRequest();
}
