/*
COPYRIGHT STATUS:
Dec 1st 2001, Fermi National Accelerator Laboratory (FNAL) documents and
software are sponsored by the U.S. Department of Energy under Contract No.
DE-AC02-76CH03000. Therefore, the U.S. Government retains a  world-wide
non-exclusive, royalty-free license to publish or reproduce these documents
and software for U.S. Government purposes.  All documents and software
available from this server are protected under the U.S. and Foreign
Copyright Laws, and FNAL reserves all rights.

Distribution of the software available from this server is free of
charge subject to the user following the terms of the Fermitools
Software Legal Information.

Redistribution and/or modification of the software shall be accompanied
by the Fermitools Software Legal Information  (including the copyright
notice).

The user is asked to feed back problems, benefits, and/or suggestions
about the software to the Fermilab Software Providers.

Neither the name of Fermilab, the  URA, nor the names of the contributors
may be used to endorse or promote products derived from this software
without specific prior written permission.

DISCLAIMER OF LIABILITY (BSD):

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED  WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED  WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL FERMILAB,
OR THE URA, OR THE U.S. DEPARTMENT of ENERGY, OR CONTRIBUTORS BE LIABLE
FOR  ANY  DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
OF SUBSTITUTE  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE  POSSIBILITY OF SUCH DAMAGE.

Liabilities of the Government:

This software is provided by URA, independent from its Prime Contract
with the U.S. Department of Energy. URA is acting independently from
the Government and in its own private capacity and is not acting on
behalf of the U.S. Government, nor as its contractor nor its agent.
Correspondingly, it is understood and agreed that the U.S. Government
has no connection to this software and in no manner whatsoever shall
be liable for nor assume any responsibility or obligation for any claim,
cost, or damages arising out of or resulting from the use of the software
available from this server.

Export Control:

All documents and software available from this server are subject to U.S.
export control laws.  Anyone downloading information from this server is
obligated to secure any necessary Government licenses before exporting
documents or software obtained from this server.
 */
package org.dcache.vehicles.alarms;

import diskCacheV111.vehicles.Message;
import java.util.List;
import org.dcache.alarms.LogEntry;
import org.dcache.util.FieldSort;

/**
 * <p>Request for list of alarms filtered by date range and/or type.</p>
 */
public class AlarmsRequestMessage extends Message {

    private Long limit;
    private Long offset;
    private Long before;
    private Long after;
    private String type;
    private Boolean includeClosed;
    private String severity;
    private String host;
    private String domain;
    private String service;
    private String info;
    private List<FieldSort> sort;

    private List<LogEntry> alarms;

    public Long getAfter() {
        return after;
    }

    public List<LogEntry> getAlarms() {
        return alarms;
    }

    public Long getBefore() {
        return before;
    }

    public String getDomain() {
        return domain;
    }

    public String getHost() {
        return host;
    }

    public Boolean getIncludeClosed() {
        return includeClosed;
    }

    public String getInfo() {
        return info;
    }

    public Long getLimit() {
        return limit;
    }

    public Long getOffset() {
        return offset;
    }

    public String getService() {
        return service;
    }

    public String getSeverity() {
        return severity;
    }

    public List<FieldSort> getSort() {
        return sort;
    }

    public String getType() {
        return type;
    }

    public void setAfter(Long after) {
        this.after = after;
    }

    public void setAlarms(List<LogEntry> alarms) {
        this.alarms = alarms;

    }

    public void setBefore(Long before) {
        this.before = before;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public void setIncludeClosed(Boolean includeClosed) {
        this.includeClosed = includeClosed;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public void setLimit(Long limit) {
        this.limit = limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public void setService(String service) {
        this.service = service;
    }

    public void setSeverity(String severity) {
        this.severity = severity;
    }

    public void setSort(List<FieldSort> sort) {
        this.sort = sort;
    }

    public void setType(String type) {
        this.type = type;
    }
}
