package org.dcache.srm.shell;

import java.io.File;
import java.io.IOException;
import java.util.Collections;
import java.util.Map;
import org.apache.axis.types.URI;

/**
 * A simple FileTransferAgent that doesn't support anything.
 */
public abstract class AbstractFileTransferAgent implements FileTransferAgent {

    @Override
    public void start() throws IOException {
        // Nothing needed.
    }

    /**
     * The options that may be configured and their current values.
     */
    @Override
    public Map<String, String> getOptions() {
        return Collections.emptyMap();
    }

    /**
     * Alter an option.
     */
    @Override
    public void setOption(String key, String value)  throws IOException {
        throw new IllegalArgumentException("No such option \"" + key + "\"");
    }


    @Override
    public FileTransfer download(URI source, File destination) {
        return null; // URI schema not supported.
    }

    @Override
    public FileTransfer upload(File source, URI destination) {
        return null; // URI schema not supported.
    }

    @Override
    public Map<String, Integer> getSupportedProtocols() {
        return Collections.emptyMap();
    }

    @Override
    public void close() throws Exception {
        // Nothing needed.
    }
}
